package com.steerinfo.dil.tmsshiptotalresult.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="船运总实绩")
public class TmsshipTotalResult implements IBasePO<Short> {
    /**
     * 主键ID(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private Short resultId;

    /**
     * 船运订单ID(ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="船运订单ID",required=false)
    private Short orderId;

    /**
     * 运输总时长(RESULT_DURATION,DECIMAL,0)
     */
    @ApiModelProperty(value="运输总时长",required=false)
    private Short resultDuration;

    /**
     * 运输标准时长(STANDARD_DATA_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="运输标准时长",required=false)
    private Short standardDataId;

    /**
     * 运输时长异常值(RESULT_OUTLIER,DECIMAL,0)
     */
    @ApiModelProperty(value="运输时长异常值",required=false)
    private Short resultOutlier;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 船舶状态(SHIP_STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="船舶状态",required=false)
    private Short shipStatus;

    private static final long serialVersionUID = 1L;

    @Override
    public Short getId() {
        return this.resultId;
    }

    @Override
    public void setId(Short resultId) {
        this.resultId = resultId;
    }

    public Short getResultId() {
        return resultId;
    }

    public void setResultId(Short resultId) {
        this.resultId = resultId;
    }

    public Short getOrderId() {
        return orderId;
    }

    public void setOrderId(Short orderId) {
        this.orderId = orderId;
    }

    public Short getResultDuration() {
        return resultDuration;
    }

    public void setResultDuration(Short resultDuration) {
        this.resultDuration = resultDuration;
    }

    public Short getStandardDataId() {
        return standardDataId;
    }

    public void setStandardDataId(Short standardDataId) {
        this.standardDataId = standardDataId;
    }

    public Short getResultOutlier() {
        return resultOutlier;
    }

    public void setResultOutlier(Short resultOutlier) {
        this.resultOutlier = resultOutlier;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public Short getShipStatus() {
        return shipStatus;
    }

    public void setShipStatus(Short shipStatus) {
        this.shipStatus = shipStatus;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", orderId=").append(orderId);
        sb.append(", resultDuration=").append(resultDuration);
        sb.append(", standardDataId=").append(standardDataId);
        sb.append(", resultOutlier=").append(resultOutlier);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", shipStatus=").append(shipStatus);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}