create view TRUCK_TRANSPORTATION as
SELECT "purchaseOrderNo","materialName","resultForeignShipName","orderNumber","insertTime","updateTime","orderReceiveRefuseTime","capacityNumber","resultGrossWeight","resultTareWeight","resultNetWeight","resultConclusion","queueResultStartTime","queueResultEndTime","resultEntryGateTime","resultGrossWeightTime","resultTareWeightTime","unloadResultStartTime","resultOutGateTime"
    FROM ( SELECT apo.PURCHASE_ORDER_NO        as "purchaseOrderNo",
                    rm.MATERIAL_NAME             as "materialName",
                    db.RESULT_FOREIGN_SHIP_NAME  as "resultForeignShipName",
                    oo.ORDER_NUMBER              as "orderNumber",
                    ap.INSERT_TIME               as "insertTime",
                    ap.UPDATE_TIME               as "updateTime",
                    oo.ORDER_RECEIVE_REFUSE_TIME as "orderReceiveRefuseTime",
                    rc.CAPACITY_NUMBER           as "capacityNumber",
                    twr.RESULT_GROSS_WEIGHT      as "resultGrossWeight",
                    twr.RESULT_TARE_WEIGHT       as "resultTareWeight",
                    twr.RESULT_NET_WEIGHT        as "resultNetWeight",
                    tqr.RESULT_CONCLUSION        as "resultConclusion",
                    qqr.RESULT_START_TIME        as "queueResultStartTime",
                    qqr.RESULT_END_TIME          as "queueResultEndTime",
                    ter.RESULT_ENTRY_GATE_TIME   as "resultEntryGateTime",
                    twr.RESULT_GROSS_WEIGHT_TIME as "resultGrossWeightTime",
                    twr.RESULT_TARE_WEIGHT_TIME  as "resultTareWeightTime",
                    tur.RESULT_START_TIME        as "unloadResultStartTime",
                    tlfr.RESULT_OUT_GATE_TIME    as "resultOutGateTime"
             FROM OMSTRUCK_ORDER oo
                      LEFT JOIN AMS_PURCHASE_ORDER apo
                                ON oo.ORDER_PLAN_ID = apo.PURCHASE_ORDER_ID
                      LEFT JOIN DIL_BATCH db
                                ON apo.BATCH_ID = db.BATCH_ID
                      LEFT JOIN RMS_MATERIAL rm
                                ON rm.MATERIAL_ID = db.MATERIAL_ID
                      LEFT JOIN AMSTRUCK_PURPLAN ap
                                ON ap.BATCH_ID = db.BATCH_ID
                      LEFT JOIN RMS_CAPACITY rc ON rc.CAPACITY_ID = oo.CAPACITY_ID
                      LEFT JOIN TMSTRUCK_TOTAL_RESULT ttr
                                ON ttr.ORDER_ID = oo.ORDER_ID
                      LEFT JOIN TMSTRUCK_WEIGHT_RESULT twr
                                ON twr.RESULT_TOTAL_ID = ttr.RESULT_TOTAL_ID
                      LEFT JOIN TMSTRUCK_QUALITY_RESULT tqr
                                ON tqr.TOTAL_RESULT_ID = ttr.RESULT_TOTAL_ID
                      LEFT JOIN QMS_QUEUE_RESULT qqr
                                ON ttr.RESULT_TOTAL_ID = qqr.RESULT_TOTAL_ID
                      LEFT JOIN TMSTRUCK_ENFACTORY_RESULT ter
                                ON ter.RESULT_TOTAL_ID = ttr.RESULT_TOTAL_ID
                      LEFT JOIN TMSTRUCK_UNLOAD_RESULT tur
                                ON tur.RESULT_TOTAL_ID = ttr.RESULT_TOTAL_ID
                      LEFT JOIN TMSTRUCK_LEAVE_FACTORY_RESULT tlfr
                                ON tlfr.RESULT_TOTAL_ID = ttr.RESULT_TOTAL_ID
             WHERE ap.PLAN_STATUS != 3
         )
/

